Gets a single mandate by ID.

Path Parameters
  • id
    Type: string
    required

    Mandate ID

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/mandates/{id}
curl 'https://app.propstreet.com/api/v1/mandates/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "uri": null,
  "name": "string",
  "description": null,
  "geography": null,
  "resolvedLocation": {
    "name": "string",
    "country": null,
    "longitude": "string",
    "latitude": "string"
  },
  "country": null,
  "investmentSize": {
    "min": 0,
    "max": 0,
    "currency": "string",
    "scale": "string"
  },
  "yearBuilt": {
    "min": "string",
    "max": "string"
  },
  "parcelArea": {
    "min": 0,
    "max": 0
  },
  "categories": [
    {
      "type": "string",
      "locationClasses": [
        "string"
      ],
      "yieldPercent": {
        "min": "string",
        "max": "string"
      },
      "leasableUnits": {
        "min": 0,
        "max": 0
      },
      "vacancyRate": {
        "min": "string",
        "max": "string"
      },
      "rentPerUnit": {
        "min": 0,
        "max": 0,
        "currency": "string",
        "scale": "string"
      }
    }
  ],
  "positiveTags": [
    "string"
  ],
  "negativeTags": [
    "string"
  ],
  "externalRefs": [
    {
      "namespace": "string",
      "id": "string"
    }
  ],
  "createdUtc": "2026-05-05T17:18:39.880Z",
  "updatedUtc": "2026-05-05T17:18:39.880Z",
  "deletedUtc": null,
  "etag": "string",
  "changeType": null,
  "changeOrigin": null
}